Package ch.qos.logback.access

# Class ViewStatusMessagesServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
ch.qos.logback.core.status.ViewStatusMessagesServletBase
ch.qos.logback.access.ViewStatusMessagesServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class ViewStatusMessagesServlet extends ViewStatusMessagesServletBase

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ViewStatusMessagesServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getPageTitle(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected StatusManager`
`getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

### Methods inherited from class ch.qos.logback.core.status.ViewStatusMessagesServletBase

`printCSS, printHeader, printList, service`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewStatusMessagesServlet

public ViewStatusMessagesServlet()

## Method Details

### getStatusManager

protected StatusManager getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)

Specified by:
  `getStatusManager` in class `ViewStatusMessagesServletBase`

### getPageTitle

protected String getPageTitle(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)

Specified by:
  `getPageTitle` in class `ViewStatusMessagesServletBase`